Skip to content

Retrieve all available workflow actions that can be initiated on a specific object workflow.

GET/api/{version}/objects/objectworkflows/{workflow_id}/actions
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{workflow_id}The workflow id field value.
NameDescription
locWhen localized (translated) strings are available, retrieve them by including loc=true.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.3/objects/objectworkflows/801/actions
{ "responseStatus": "SUCCESS", "data": [ { "name": "startApproval", "label": "Start Approval" }, { "name": "cancel", "label": "Cancel" } ] }
curl -X GET "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.3/objects/objectworkflows/1801/actions/removecontent
{ "responseStatus": "SUCCESS", "data": { "name": "removecontent", "label": "Remove Content", "controls": [ { "label": "Documents", "type": "documents", "prompts": [ { "name": "documents__sys", "label": "Documents", "required": true } ], "current_values": [ { "document_id__v": "67" }, { "document_id__v": "41" } ] } ] } }

On SUCCESS, the response lists all available workflow actions that can be initiated on the object record. Each action includes the following fields:

  • name - The workflow action name used to initiate the workflow in the request below.
  • label - The workflow action label as seen in the UI.

###Retrieve Workflow Action Details

Retrieve details about a workflow action. For example, the prompts needed to complete a workflow action.

GET/api/{version}/objects/objectworkflows/{workflow_id}/actions/{workflow_action}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{workflow_id}The workflow id field value.
{workflow_action}The name of the workflow action. To get this value, you can Retrieve Workflow Actions.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.3/objects/objectworkflows/801/actions
{ "responseStatus": "SUCCESS", "data": [ { "name": "startApproval", "label": "Start Approval" }, { "name": "cancel", "label": "Cancel" } ] }
curl -X GET "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v19.3/objects/objectworkflows/1801/actions/removecontent
{ "responseStatus": "SUCCESS", "data": { "name": "removecontent", "label": "Remove Content", "controls": [ { "label": "Documents", "type": "documents", "prompts": [ { "name": "documents__sys", "label": "Documents", "required": true } ], "current_values": [ { "document_id__v": "67" }, { "document_id__v": "41" } ] } ] } }

On SUCCESS, the response lists all prompts required to complete a workflow action. In the example response, the removecontent workflow action requires a value for documents__sys.